package com.lovenav.entity;

import java.io.Serializable;
import lombok.Data;

/**
 * ln_url_cate_list
 */
@Data
public class UrlCateList implements Serializable {
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Long createtime) {
        this.createtime = createtime;
    }

    public Long getUrlNumber() {
        return urlNumber;
    }

    public void setUrlNumber(Long urlNumber) {
        this.urlNumber = urlNumber;
    }

    public Long getWeigh() {
        return weigh;
    }

    public void setWeigh(Long weigh) {
        this.weigh = weigh;
    }

    public Byte getStatus() {
        return status;
    }

    public void setStatus(Byte status) {
        this.status = status;
    }

    public Byte getNeedLogin() {
        return needLogin;
    }

    public void setNeedLogin(Byte needLogin) {
        this.needLogin = needLogin;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getRootCateId() {
        return rootCateId;
    }

    public void setRootCateId(Integer rootCateId) {
        this.rootCateId = rootCateId;
    }

    public String getIco() {
        return ico;
    }

    public void setIco(String ico) {
        this.ico = ico;
    }

    /**
     * id
     */
    private Integer id;

    /**
     * 名称
     */
    private String name;

    /**
     * 创建时间
     */
    private Long createtime;

    /**
     * url 数量
     */
    private Long urlNumber;

    /**
     * 权重
     */
    private Long weigh;

    /**
     * 状态
     */
    private Byte status;

    /**
     * 需要登录才能查看
     */
    private Byte needLogin;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 根标签
     */
    private Integer rootCateId;

    /**
     * 图标
     */
    private String ico;

    private static final long serialVersionUID = 1L;
}